Subject: Transitional RFC Series Editor recommendations published

From: Glenn Kowack <[email-masked]>
Date: Tue, 26 Oct 2010 15:32:12 -0400

The position of Transitional RFC Series Editor (TRSE) was created to provide for series continuity during 2010.  The TRSE was also to learn the job through direct experience.  I have been performing that role since last March.  Based on that experience, I was tasked to make recommendations regarding the role of the RFC Series Editor, a job description, and a search and selection process.  The first draft of those TRSE recommendations is now available as an internet draft.  Please go to the http://www.rfc-editor.org/pipermail/rfc-interest/ for background information and discussion.

I will be giving a presentation and Q&A on this subject at the Monday plenary in Beijing.  I hope to see many of you there.

regards,
Glenn Kowack
Transitional RFC Series Editor